package com.elephant.framework.galaxy.aroad.bigdata;

import java.util.ArrayList;

/**
 * @program: pingxiang_basedata
 * @description: ${description}
 * @author: dongjili
 * @create: 2019-03-21 11:15
 **/
public class ReadElasticsearch {
    public static void main(String[] args) throws Exception {
        createIndexAnd2Hbase();
    }

    public static void createIndexAnd2Hbase() throws Exception {
        //分词查询桥梁数据返回list集合
       //ArrayList<LuKeBridge> luKeBridges = EsUtil_fanshe.queryBridge("广州桥", "basicbridgedata", "2018", 0, 2000000000);
       /* for (LuKeBridge luKeBridge : luKeBridges) {
            System.out.println(luKeBridge.toString());
        }*/
        //分词查询路段数据返回list集合
      //ArrayList<LuKeHighWay> lukehighways = EsUtil_fanshe.queryHighWay("广州桥", "basichighwaydata", "2018", 0, 2000000000);
        /*for (LuKeHighWay lukehighway : lukehighways) {
            System.out.println(lukehighway.toString());
        }*/
        //分词查询隧道数据返回list集合
        //ArrayList<BasicTunnel> basicTunnels = EsUtil_fanshe.queryTunnel("广州桥", "basictunneldata", "2018", 0, 2000000000);
        /*for (BasicTunnel basicTunnel : basicTunnels) {
            System.out.println(basicTunnel.toString());
        }*/
        //分词查询收费站数据返回list集合
       //ArrayList<BaseRoadToll_String> baseRoadTollStrings = EsUtil_fanshe.queryBaseRoadTollString("广州桥", "baseroadtolldata", "2018", 0, 2000000000);
        /*for (BaseRoadToll_String baseRoadTollString : baseRoadTollStrings) {
            System.out.println(baseRoadTollString.toString());
        }*/
       //封装查询匹配所有的名称
        ArrayList<String> names = new ArrayList<>();
        //查询匹配桥梁名称
        String bridgeOne = EsUtil_fanshe.queryBridgeOne("桥", "basicbridgedata", "2018", 0, 2000000000);
        names.add(bridgeOne);
        //查询匹配路段名称
        String highWayOne = EsUtil_fanshe.queryHighWayOne("桥", "basichighwaydata", "2018", 0, 2000000000);
        names.add(highWayOne);
        //查询匹配隧道名称
        String tunnelOne = EsUtil_fanshe.queryTunnelOne("桥", "basictunneldata", "2018", 0, 2000000000);
        names.add(tunnelOne);
        //查询匹配收费站名称
        String baseRoadTollOne = EsUtil_fanshe.queryBaseRoadTollOne("桥", "baseroadtolldata", "2018", 0, 2000000000);
        names.add(baseRoadTollOne);
        System.out.println(names.toString());

    }
}
